Bug 233802 - archivers/lzip: update to 1.20
Summary: archivers/lzip: update to 1.20
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-05 15:42 UTC by Steve Wills
Modified: 2018-12-19 18:37 UTC (History)
0 users

See Also:
gerald: maintainer-feedback+


Attachments
patch to update to 1.20 (786 bytes, patch)
2018-12-05 15:42 UTC, Steve Wills
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2018-12-05 15:42:36 UTC
Created attachment 199853 [details]
patch to update to 1.20

See attached patch
Comment 1 Gerald Pfeifer freebsd_committer 2018-12-06 23:38:05 UTC
Approved by: gerald

When committing, please use a commit log akin to what I've done for the
last two version updates (or let me know, and I'll take care).
Comment 2 Gerald Pfeifer freebsd_committer 2018-12-19 08:40:54 UTC
Hmm, I had assumed my approval would be sufficient, but perhaps something
came up on Steve's end, so let me take care.
Comment 3 commit-hook freebsd_committer 2018-12-19 08:42:43 UTC
A commit references this bug:

Author: gerald
Date: Wed Dec 19 08:41:54 UTC 2018
New revision: 487787
URL: https://svnweb.freebsd.org/changeset/ports/487787

Log:
  Update to lzip version 1.20.  This includes the following changes:
   - A new option '--loose-trailing'.
   - Option '-S, --volume-size' now keeps input files.
   - Replaced 'bits/byte' with the inverse compression ratio in output.
   - Do not add a second .lz extension to the argument of an '-o' option.
   - Improved corrupt header detection to HD=3 and show corrupt or
     truncated header in multimember file and some further changes and
     improvements around progress and error reporting.
   - The documentation gained a new chapter "Output".

  PR:		233802
  Submitted by:	swills

Changes:
  head/archivers/lzip/Makefile
  head/archivers/lzip/distinfo